org.jfree.chart.annotations

## Class XYLineAnnotation

- java.lang.Object
- - org.jfree.chart.annotations.AbstractAnnotation
  - - org.jfree.chart.annotations.AbstractXYAnnotation
    - - org.jfree.chart.annotations.XYLineAnnotation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Annotation, XYAnnotation, org.jfree.util.PublicCloneable

    public class XYLineAnnotation
    extends AbstractXYAnnotation
    implements java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A simple line annotation that can be placed on an `XYPlot`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XYLineAnnotation(double x1, double y1, double x2, double y2)` Creates a new annotation that draws a line from (x1, y1) to (x2, y2) where the coordinates are measured in data space (that is, against the plot's axes).
`XYLineAnnotation(double x1, double y1, double x2, double y2, java.awt.Stroke stroke, java.awt.Paint paint)` Creates a new annotation that draws a line from (x1, y1) to (x2, y2) where the coordinates are measured in data space (that is, against the plot's axes).

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of the annotation.
`void` `draw(java.awt.Graphics2D g2, XYPlot plot, java.awt.geom.Rectangle2D dataArea, ValueAxis domainAxis, ValueAxis rangeAxis, int rendererIndex, PlotRenderingInfo info)` Draws the annotation.
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`int` `hashCode()` Returns a hash code.

### Methods inherited from class org.jfree.chart.annotations.AbstractXYAnnotation

`addEntity, getToolTipText, getURL, setToolTipText, setURL`

### Methods inherited from class org.jfree.chart.annotations.AbstractAnnotation

`addChangeListener, fireAnnotationChanged, getNotify, hasListener, notifyListeners, removeChangeListener, setNotify`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart.annotations.Annotation

`addChangeListener, removeChangeListener`

### Constructor Detail

#### XYLineAnnotation

    public XYLineAnnotation(double x1,
                    double y1,
                    double x2,
                    double y2)

Creates a new annotation that draws a line from (x1, y1) to (x2, y2) where the coordinates are measured in data space (that is, against the plot's axes).

Parameters:
  `x1` - the x-coordinate for the start of the line.
  `y1` - the y-coordinate for the start of the line.
  `x2` - the x-coordinate for the end of the line.
  `y2` - the y-coordinate for the end of the line.

#### XYLineAnnotation

    public XYLineAnnotation(double x1,
                    double y1,
                    double x2,
                    double y2,
                    java.awt.Stroke stroke,
                    java.awt.Paint paint)

Creates a new annotation that draws a line from (x1, y1) to (x2, y2) where the coordinates are measured in data space (that is, against the plot's axes).

Parameters:
  `x1` - the x-coordinate for the start of the line.
  `y1` - the y-coordinate for the start of the line.
  `x2` - the x-coordinate for the end of the line.
  `y2` - the y-coordinate for the end of the line.
  `stroke` - the line stroke (`null` not permitted).
  `paint` - the line color (`null` not permitted).

### Method Detail

#### draw

    public void draw(java.awt.Graphics2D g2,
            XYPlot plot,
            java.awt.geom.Rectangle2D dataArea,
            ValueAxis domainAxis,
            ValueAxis rangeAxis,
            int rendererIndex,
            PlotRenderingInfo info)

Draws the annotation. This method is called by the `XYPlot` class, you won't normally need to call it yourself.

Specified by:
  `draw` in interface `XYAnnotation`
Specified by:
  `draw` in class `AbstractXYAnnotation`
Parameters:
  `g2` - the graphics device.
  `plot` - the plot.
  `dataArea` - the data area.
  `domainAxis` - the domain axis.
  `rangeAxis` - the range axis.
  `rendererIndex` - the renderer index.
  `info` - if supplied, this info object will be populated with entity information.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this object for equality with an arbitrary object.

Overrides:
  `equals` in class `AbstractXYAnnotation`
Parameters:
  `obj` - the object to test against (`null` permitted).
Returns:
  `true` or `false`.

#### hashCode

    public int hashCode()

Returns a hash code.

Overrides:
  `hashCode` in class `AbstractXYAnnotation`
Returns:
  A hash code.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of the annotation.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `AbstractAnnotation`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if the annotation can't be cloned.